| Home | Libraries | People | FAQ | More

##### results::affected_rows

Returns the number of rows affected by the executed SQL statement.

###### Synopsis

    std::uint64_t
    affected_rows() const;

###### Description

For operations returning more than one resultset, returns the first resultset's affected rows.

###### Preconditions

`this->has_value() == true`

###### Exception safety

No-throw guarantee.

###### Complexity

Constant.